
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c++容器-关于 multiset 容器用法的疑问？问题来源于“找最小的k个数” / iVAN</title>

    <meta name="description" content="c++容器-关于 multiset 容器用法的疑问？问题来源于“找最小的k个数” 问题描述 关于 multiset 容器用法的疑问?问题来源于&quot;找最小的k个数&quot; 以下为&quot;找最小k个数&quot;中的一段代码,它使用了 multiset 容器,基于红黑树实现, 而这段算法的思想是 最大堆的思想,下面算法中 leastNumbers.begin() 应是指向最大值,这是为什么? 红黑树应是一颗二叉搜索树,为什么能保证 leastNumbers.begin() 指向最大值? typedef multiset&lt;int, greater&lt;int ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c++容器-关于 multiset 容器用法的疑问？问题来源于“找最小的k个数”</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>关于 multiset 容器用法的疑问？问题来源于“找最小的k个数”
        </dt>
<dd>
          <br />以下为“找最小k个数”中的一段代码，它使用了 multiset 容器，基于红黑树实现，<br />
而这段算法的思想是 最大堆的思想，下面算法中 leastNumbers.begin() 应是指向最大值，这是为什么？<br />
红黑树应是一颗二叉搜索树，为什么能保证 leastNumbers.begin() 指向最大值？</p>
<pre><code> typedef multiset&lt;int, greater&lt;int&gt; &gt;            intSet;
typedef multiset&lt;int, greater&lt;int&gt; &gt;::iterator  setIterator;

void GetLeastNumbers_Solution2(const vector&lt;int&gt;&amp; data, intSet&amp; leastNumbers, int k)
{
    leastNumbers.clear();

    if(k &lt; 1 || data.size() &lt; k)
        return;

    vector&lt;int&gt;::const_iterator iter = data.begin();
    for(; iter != data.end(); ++ iter)
    {
        if((leastNumbers.size()) &lt; k)
            leastNumbers.insert(*iter);

        else
        {
            setIterator iterGreatest = leastNumbers.begin();

            if(*iter &lt; *(leastNumbers.begin()))  // 为什么这里 begin() 指向最大值？
            {
                leastNumbers.erase(iterGreatest);
                leastNumbers.insert(*iter);
            }
        }
    }
}
</code></pre>
</dd>
</dl>
<h1>解决方案</h1>
<p>typedef multiset &gt;            intSet;<br />
intSet设置了greater，插入的数据都是降序排序的。最大值为第一个</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:45:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%8c%e5%8f%89%e6%a0%91/" title="二叉树">二叉树</a>, <a href="https://www.iamivan.net/tag/c-%e5%ae%b9%e5%99%a8/" title="c&plus;&plus; 容器">c&plus;&plus; 容器</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c++容器-关于 multiset 容器用法的疑问？问题来源于“找最小的k个数”的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnROeop.html" rel="bookmark">STL之vector&comma;数组线性容器array&comma;list容器，算法find&comma;find&lowbar;if&comma;bind1st&comma;仿函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ 1.STL(Standard Template Library,是用泛型技术来设计完成的实例)的概念与组成 Iterator(迭代器) Container(容器) Algorithm(算法) Adaptors(配接器)   STL的六大组件分别是: 容器(Container) 算法(Algorithm) 迭代器(Iterator) 仿函数(Function object) 适配器(Adapter) 空间配置器(allocator):只能分配内存等   2.容器与算法 案例如下: #incl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQmRWp.html" rel="bookmark">wpf-WPF IMultiValueConverter 用法的疑问</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 WPF IMultiValueConverter 用法的疑问 在绘制用户控件时遇到一个问题,如何将IMultiValueConverter用于Point? 解决方案 说明一下 如果在下添加标签,根本无法调用,然后我就懵了--			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX053Ap.html" rel="bookmark">stl-STL的适配器容器的底层容器如何选择？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 STL的适配器容器的底层容器如何选择? 比如说实现一个stack结构 它的默认底层容器是deque,但是我们也可以选择用list 和vector, 1 那么需要在什么情况下选择list和vector做底层容器时,效率优于deque? 2 stack,queue,priority_queue,在使用时如选择底层容器? 解决方案 STL容器适配器STL 之容器适配器C++ STL 容器适配器 解决方案二: effective stl上面基本有很详细的说明 说到底是,明白实现原理,看情况选择			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJoq9p.html" rel="bookmark">基于纯Java代码的Spring容器和Web容器零配置的思考和实现（3） - 使用配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经过&lt;基于纯Java代码的Spring容器和Web容器零配置的思考和实现(1) - 数据源与事务管理&gt;和&lt;基于纯Java代码的Spring容器和Web容器零配置的思考和实现(2) - 静态资源.视图和消息器&gt;两篇博文的介绍,我们已经配置好了Spring所需的基本配置.在这边博文中,我们将介绍怎么使用这些配置到实际项目中,并将web.xml文件替换为一个Java类. 我们使用Java代码来配置Spring,目的就是使我们的这些配置能够复用,对于这些配置的复用,我们采用继承和引入来实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEQgxqb.html" rel="bookmark">web容器和Ejb容器的区别？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 web容器和Ejb容器的区别有那些呢?? 解决方案 解决方案二:&quot;两个是不同的容器,也就是说管理的对象不一样.有很多产品同时提供两个容器的服务,比如weblogic,websphere...&quot;EJB容器使用了在用户间共享的实例池.这个池只用于无状态bean和实体bean,有状态bean需要维护状态,因而不能在用户之间转换.Web容器实际上是一个Java运行时(Runtime),提供了JavaServletAPI的一个实现,并且简化了JSP网页.Web容器负责初始化,调用以及管			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8RjJPb.html" rel="bookmark">在同一个JVM环境中，同时启动嵌入式 EJB容器和ACC容器。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何使嵌入式EJB容器和ACC容器在同一JVM环境中启动,并使得ACC容器中的组件可以访问EJB容器中的组件?要求使用glassflshembeddedcontainer和glassfishacccontainer.请给出相应代码.问题具体内容可参见:http://www.coderanch.com/t/550236/EJB-JEE/java/develop-standalone-swing-application-ejb谢谢!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmwd5z.html" rel="bookmark">容器的用户的一些疑问  容器的用户是谁创建的？宿主机管理员创建一个容器，这个容器是不是有一个根用户？它的用户名口令字是什么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如题还有在网上还查到资料说容器根用户的密码是随机分配的可是为什么每次启动容器的时候并不需要输入密码这个口令保存在哪里啊每个容器的root用户的密码都是一样吗求大神帮助 解决方案 解决方案二:dockerpullregistry.aliyuncs.com/wzwdev/centos:6.6这个镜像的用户是root/root可以下载用根用户的口令是可以进到系统中进行修改的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxEyZb.html" rel="bookmark">Spring源代码解析&lpar;二&rpar;：IOC容器在web容器中的启动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下引用自博客:http://jiwenke-spring.blogspot.com/ 上面我们分析了IOC容器本身的实现,下面我们看看在典型的web环境中,Spring IOC 容器是怎样被载入和起作用的. 简单的说,在web容器中,通过ServletContext为Spring的IOC容器提供宿主环境,对 应的建立起一个IOC容器的体系.其中,首先需要建立的是根上下文,这个上下文持有的 对象可以有业务对象,数据存取对象,资源,事物管理器等各种中间层对象.在这个上下 文的基础上,和web MV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAr3A2p.html" rel="bookmark">深入理解Tomcat系列之五：Context容器和Wrapper容器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 Context容器是一个Web项目的代表,主要管理Servlet实例,在Tomcat中Servlet实例是以Wrapper出现的,现在问题是如何才能通过Context容器找到具体的Servlet呢?在解决这个问题之前,Context容器需要先启动,启动的过程就是加载个类资源文件以及打开子容器以及Pipeline管道的过程.启动Context容器后,就可以处理具体的请求了,具体是通过Request对象,从代码清单4-3的Wrapper wrapper = request.getWrapper			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL5RWz.html" rel="bookmark" class="title">ios-转换GPS北和GPS西到经纬度</a>
					<div>
						问题描述 转换GPS北和GPS西到经纬度 我从服务器获得的值: &lt;gps_n&gt;34.22.123&lt;/gps_n&gt; &lt;gps_w&gt;81.59.345&lt;/gps_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkZlwM.html" rel="bookmark" class="title">JSP点击链接后下载文件&lpar;右键另存&rpar;功能</a>
					<div>
						JSP点击链接后下载文件(右键另存)功能 /** *//**      * 实现文件另存功能      *      * @param text      *            文件内容      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZw6Yb.html" rel="bookmark" class="title">Photoshop制作奇幻风格的化妆品促销海报</a>
					<div>
						作者制作海报的思路非常不错.过程:先去网上搜集一些比较好的素材作为参考:然后选定素材并确定后好构思及构图:后期添加素材,修饰细节,调整颜色等即可. 最终效果 1.通过素材寻找灵感. 有的素材看上去很好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZYGYp.html" rel="bookmark" class="title">菜鸟学用Dreamweaver MX 2004行为&lpar;14&rpar;预先载入图象</a>
					<div>
						dreamweaver 本站原创内容,转载请注明出处网页教学网. 预先载入图像 &quot;预先载入图像&quot;动作将不会立即出现在网页上的图像(例如那些将通过行为或 JavaScript 换入的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyGXvz.html" rel="bookmark" class="title">JSP语法&lpar;7&rpar;</a>
					<div>
						js|语法 Page 指令 定义JSP文件中的全局属性. JSP 语法 &lt;%@ page [ language=&quot;java&quot; ] [ extends=&quot;packag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXvxjb.html" rel="bookmark" class="title">Anders Hejlsberg 谈C&num;设计过程</a>
					<div>
						过程|设计 一 1.C#设计过程 ? Bruce Eckel:我听说C#是一个工程师小组在一个屋子里设计出来的? Anders Hejlsberg:是的.4年来,我们一直呆在这个屋子里.现在,每周一. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PZY8M.html" rel="bookmark" class="title">UVa 10019 Funny Encryption Method &lpar;water ver&period;&rpar;</a>
					<div>
						10019 - Funny Encryption Method Time limit: 3.000 seconds http://uva.onlinejudge.org/index.php?optio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2gDrp.html" rel="bookmark" class="title">linux系统编程之文件与I&sol;O（五） 文件的内核结构file和实现重定向</a>
					<div>
						一.打开文件内核数据结构 1.一个进程打开两个文件 文件状态标志:读.写.追加.同步.非阻塞等 2.一个进程两次打开同一文件					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z62Bb.html" rel="bookmark" class="title">USB设备失灵怎么办</a>
					<div>
						一.设置CMOS参数 对于从来没有使用过USB外接设备的朋友来说,即使正确安装了驱动程序也有可能出现系统无法检测USB硬盘的情况,这主要是由于主板默认的CMOS端口是关闭的,如果没有将其设置为开启状态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYmKOM.html" rel="bookmark" class="title">有道词典怎么翻译？</a>
					<div>
						  打开有道词典之后,我们可以看到第一个&quot;词典&quot;界面.有道词典目前支持&quot;汉英互译.汉法互译.汉日互译.汉韩互译&quot;这绝对已经能够满足大家的日常需求啦! 接下来,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW346p.html" rel="bookmark" class="title">mysql查询优化，谁能帮我优化查询啊？我这个太慢了，慢死了</a>
					<div>
						问题描述 mysql查询优化,谁能帮我优化查询啊?我这个太慢了,慢死了 SELECT mobileuserid,caozuoleixing,caozuozhi,xiguanzhi FROM 表A WH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoAQRb.html" rel="bookmark" class="title">写js正则表达式，去除字符串的首尾的逗号，怎么写？</a>
					<div>
						问题描述 写js正则表达式,去除字符串的首尾的逗号,怎么写? 写js正则表达式,去除字符串的首尾的逗号,怎么写???????????????????? 解决方案 &lt;script language ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRQJ3b.html" rel="bookmark" class="title">多个文件目录下Makefile的写法</a>
					<div>
						1.前言 目前从事于linux下程序开发,涉及到多个文件,多个目录,这时候编译文件的任务量比较大,需要写Makefile.关于Makefile的详细内容可以参考网上流传非常广泛的&lt;跟我一起写Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjQnWM.html" rel="bookmark" class="title">配置-Java Web容器启动时，SessionFactory注入失败的问题</a>
					<div>
						问题描述 Java Web容器启动时,SessionFactory注入失败的问题 包结构如下:Spring配置如下:UserDAO代码如下:Tomcat一启动,报错如下:org.springframe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4n1nz.html" rel="bookmark" class="title">三星Galaxy S6如何使用S健康测心率&quest;&lpar;G9208&rpar;</a>
					<div>
						1.在待机页面下,点击[应用程序].    2.点击[S 健康].    3.向上滑动屏幕,点击[添加].    4.点击&quot;心率&quot;下的[测量].    5.将您的手指放在设备背部的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRrw5b.html" rel="bookmark" class="title">mybatis中merge into批量使用问题</a>
					<div>
						问题描述 &lt;insertid=&quot;insertAttractionsBatch&quot;parameterType=&quot;java.util.List&quot;&gt;MERG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AyAVz.html" rel="bookmark" class="title">编程之道&lpar;三&rpar;</a>
					<div>
						         第三篇    设计    编程大师如是说:    &quot;当程序被测试时,再修改设计方案就太迟了.&quot;    3.1    曾经有个人去参加一次电脑展示会.每天当他进展馆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKJXop.html" rel="bookmark" class="title">hibernate 外键问题</a>
					<div>
						问题描述 有外键关系的几个表,要做类似这样的查询:select hbiNId from hrBranchInfo where hbi_n_prior=? and hbiVname=? and hbiC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgx5kM.html" rel="bookmark" class="title">java写数据库备份模块</a>
					<div>
						问题描述 请问谁有做过jsporacle数据库备份的模块吗?请问这个怎么备份数据库呢? 解决方案 解决方案二:请问怎么用java代码书写备份数据库呢解决方案三:做一个项目中的数据库备份与恢复(MSSQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnGdBM.html" rel="bookmark" class="title">新的监管蓝图</a>
					<div>
						荷兰央行行长和巴塞尔 银行监管委员会主席 诺特·威林克(Nout Wellink) 虽然个体健康的银行一般会导致一个健康的银行体系,但仅有这种针对单个机构的方法本身可能是不够的.同样重要的是,要有应对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qr6np.html" rel="bookmark" class="title">php中instanceof 与 is&lowbar;a&lpar;&rpar;区别分析&lowbar;php技巧</a>
					<div>
						instanceof 运算符 和 is_a() 方法都是判断:某对象是否属于该类 或 该类是此对象的父类(用于确定一个 PHP 变量是否属于某一类 class 的实例) 是的话返回 TRUE,不是的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkRO6p.html" rel="bookmark" class="title">Oracle的默认用户密码&lowbar;oracle</a>
					<div>
						1.安装时选择的自动安装,忘了用户名和密码导致现在试了几个Oracle默认用户名密码後(表格中附带默认用户名及密码),都提示无效的用户名.密码, Username Password Descripti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q745M.html" rel="bookmark" class="title">全球20国互联网网速、网费对比统计图（图）</a>
					<div>
						信息技术和创新基金会(ITIF)近日公布了一份统计图,列举了全球20大国家互联网的接入情况,包括平均网速和网费两个指标.(点击此处查看大图 我们的近邻日本.韩国均处于遥遥领先的地位,不但61Mbps. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QBjAp.html" rel="bookmark" class="title">什么UML建模工具能将现有的C&num;代码生成UML图</a>
					<div>
						问题描述 请问:有没有什么易用的UML建模工具,能够将现有的C#代码逆向为UML图?~ 解决方案 解决方案二:大部分UML工具都支持生成代码,不过要看你的UML图设计详细到什么程度别指望现在的系统能做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqaWWp.html" rel="bookmark" class="title">看看那些触目惊心的光伏质量安全问题</a>
					<div>
						3月15日,一个普通的日子.因为消费维权,成为了一个有特别意义的符号!涉及到光伏行业,今年又将如何&quot;过节&quot;呢? 光伏虽然是一个&quot;新&quot;的行业,但各种质量问题已经不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4PE0b.html" rel="bookmark" class="title">中国存储产业加快技术创新步伐</a>
					<div>
						本报讯 记者李佳师报道:1月29日,中国存储产业技术创新战略联盟在北京成立,首批成员涵盖企业.研究机构.高等院校等30余家单位.科技部高新技术发展及产业化司司长冯记春表示,推动产业技术创新战略联盟的构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwydkWM.html" rel="bookmark" class="title">中小型企业在考虑云服务时需要注意的五个事项</a>
					<div>
						我的朋友http://www.aliyun.com/zixun/aggregation/16434.html&quot;&gt;Chris Chesley确定了企业在进入虚拟世界之前应该为其IT设备考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z436Arp.html" rel="bookmark" class="title">SQLServer用存储过程实现插入更新数据示例&lowbar;MsSql</a>
					<div>
						实现 1)有相同的数据,直接返回(返回值:0): 2)有主键相同,但是数据不同的数据,进行更新处理(返回值:2): 3)没有数据,进行插入数据处理(返回值:1). [创建存储过程] Create pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWDRab.html" rel="bookmark" class="title">男子8&period;8万元买手机号告发改委不罚商家</a>
					<div>
						8万买个手机号告发改委不罚商家 (记者 武新) 王先生花8.8万元购买了含有6个8的手机号.他以销售商&quot;违规收取高额号码资源占用费&quot;为由,向市发改委举报.因认为价格主管部门没有依法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWZmDb.html" rel="bookmark" class="title">TabHost与listView</a>
					<div>
						问题描述 有谁知道如何在TabHost中添加listView啊?并且加上listView后如何加载网上的新闻?求大神帮忙谢谢! 解决方案 解决方案二:ListView是列表吧?只能加载个新闻的标题,显 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
